Skip to main content
PUT
/
api
/
v
{version}
/
auth
/
update-profile
cURL
curl --request PUT \
  --url https://identity.payven.com.tr/api/v{version}/auth/update-profile \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>"
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "id": "<string>",
    "username": "<string>",
    "email": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "enabled": true,
    "emailVerified": true,
    "createdTimestamp": 123,
    "roles": [
      "<string>"
    ],
    "tenantId": "<string>",
    "merchantId": "<string>",
    "companyName": "<string>",
    "pendingApproval": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

version
string
required

Body

firstName
string | null
lastName
string | null
email
string | null

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object